Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.Designer.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.Designer.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -52,10 +52,10 @@
       this.tourViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.splitContainer = new System.Windows.Forms.SplitContainer();
-      this.qualityGroupBox = new System.Windows.Forms.GroupBox();
-      this.qualityViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.distanceGroupBox = new System.Windows.Forms.GroupBox();
-      this.distanceViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.penaltyGroupBox = new System.Windows.Forms.GroupBox();
-      this.penaltyViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.qualityValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
+      this.distanceValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
+      this.penaltyValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
+      this.qualityLabel = new System.Windows.Forms.Label();
+      this.distanceLabel = new System.Windows.Forms.Label();
+      this.penaltyLabel = new System.Windows.Forms.Label();
       ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).BeginInit();
       this.tabControl.SuspendLayout();
@@ -67,13 +67,10 @@
       this.splitContainer.Panel2.SuspendLayout();
       this.splitContainer.SuspendLayout();
-      this.qualityGroupBox.SuspendLayout();
-      this.distanceGroupBox.SuspendLayout();
-      this.penaltyGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
       // pictureBox
       // 
-      this.pictureBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.pictureBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.pictureBox.BackColor = System.Drawing.Color.White;
@@ -81,5 +78,5 @@
       this.pictureBox.Location = new System.Drawing.Point(6, 6);
       this.pictureBox.Name = "pictureBox";
-      this.pictureBox.Size = new System.Drawing.Size(199, 362);
+      this.pictureBox.Size = new System.Drawing.Size(403, 271);
       this.pictureBox.TabIndex = 0;
       this.pictureBox.TabStop = false;
@@ -89,6 +86,6 @@
       // 
       this.tabControl.AllowDrop = true;
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.visualizationTabPage);
@@ -97,5 +94,5 @@
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(219, 396);
+      this.tabControl.Size = new System.Drawing.Size(423, 305);
       this.tabControl.TabIndex = 0;
       // 
@@ -106,5 +103,5 @@
       this.visualizationTabPage.Name = "visualizationTabPage";
       this.visualizationTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.visualizationTabPage.Size = new System.Drawing.Size(211, 370);
+      this.visualizationTabPage.Size = new System.Drawing.Size(415, 279);
       this.visualizationTabPage.TabIndex = 0;
       this.visualizationTabPage.Text = "Visualization";
@@ -124,6 +121,6 @@
       // tourGroupBox
       // 
-      this.tourGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.tourGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tourGroupBox.Controls.Add(this.tourViewHost);
@@ -137,6 +134,6 @@
       // tourViewHost
       // 
-      this.tourViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.tourViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tourViewHost.Caption = "View";
@@ -157,10 +154,14 @@
       this.splitContainer.Location = new System.Drawing.Point(0, 0);
       this.splitContainer.Name = "splitContainer";
+      this.splitContainer.Orientation = System.Windows.Forms.Orientation.Horizontal;
       // 
       // splitContainer.Panel1
       // 
-      this.splitContainer.Panel1.Controls.Add(this.qualityGroupBox);
-      this.splitContainer.Panel1.Controls.Add(this.distanceGroupBox);
-      this.splitContainer.Panel1.Controls.Add(this.penaltyGroupBox);
+      this.splitContainer.Panel1.Controls.Add(this.penaltyLabel);
+      this.splitContainer.Panel1.Controls.Add(this.distanceLabel);
+      this.splitContainer.Panel1.Controls.Add(this.qualityLabel);
+      this.splitContainer.Panel1.Controls.Add(this.qualityValueView);
+      this.splitContainer.Panel1.Controls.Add(this.distanceValueView);
+      this.splitContainer.Panel1.Controls.Add(this.penaltyValueView);
       this.splitContainer.Panel1.Margin = new System.Windows.Forms.Padding(0, 0, 5, 0);
       this.splitContainer.Panel1MinSize = 0;
@@ -170,84 +171,72 @@
       this.splitContainer.Panel2.Controls.Add(this.tabControl);
       this.splitContainer.Size = new System.Drawing.Size(423, 402);
-      this.splitContainer.SplitterDistance = 200;
+      this.splitContainer.SplitterDistance = 87;
       this.splitContainer.TabIndex = 0;
       // 
-      // qualityGroupBox
-      // 
-      this.qualityGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.qualityGroupBox.Controls.Add(this.qualityViewHost);
-      this.qualityGroupBox.Location = new System.Drawing.Point(0, 0);
-      this.qualityGroupBox.Name = "qualityGroupBox";
-      this.qualityGroupBox.Size = new System.Drawing.Size(194, 46);
-      this.qualityGroupBox.TabIndex = 0;
-      this.qualityGroupBox.TabStop = false;
-      this.qualityGroupBox.Text = "Quality";
-      // 
-      // qualityViewHost
-      // 
-      this.qualityViewHost.Caption = "View";
-      this.qualityViewHost.Content = null;
-      this.qualityViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.qualityViewHost.Enabled = false;
-      this.qualityViewHost.Location = new System.Drawing.Point(3, 16);
-      this.qualityViewHost.Name = "qualityViewHost";
-      this.qualityViewHost.ReadOnly = false;
-      this.qualityViewHost.Size = new System.Drawing.Size(188, 27);
-      this.qualityViewHost.TabIndex = 0;
-      this.qualityViewHost.ViewsLabelVisible = true;
-      this.qualityViewHost.ViewType = null;
-      // 
-      // distanceGroupBox
-      // 
-      this.distanceGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.distanceGroupBox.Controls.Add(this.distanceViewHost);
-      this.distanceGroupBox.Location = new System.Drawing.Point(0, 49);
-      this.distanceGroupBox.Name = "distanceGroupBox";
-      this.distanceGroupBox.Size = new System.Drawing.Size(194, 46);
-      this.distanceGroupBox.TabIndex = 1;
-      this.distanceGroupBox.TabStop = false;
-      this.distanceGroupBox.Text = "Distance";
-      // 
-      // distanceViewHost
-      // 
-      this.distanceViewHost.Caption = "View";
-      this.distanceViewHost.Content = null;
-      this.distanceViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.distanceViewHost.Enabled = false;
-      this.distanceViewHost.Location = new System.Drawing.Point(3, 16);
-      this.distanceViewHost.Name = "distanceViewHost";
-      this.distanceViewHost.ReadOnly = false;
-      this.distanceViewHost.Size = new System.Drawing.Size(188, 27);
-      this.distanceViewHost.TabIndex = 0;
-      this.distanceViewHost.ViewsLabelVisible = true;
-      this.distanceViewHost.ViewType = null;
-      // 
-      // penaltyGroupBox
-      // 
-      this.penaltyGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.penaltyGroupBox.Controls.Add(this.penaltyViewHost);
-      this.penaltyGroupBox.Location = new System.Drawing.Point(0, 101);
-      this.penaltyGroupBox.Name = "penaltyGroupBox";
-      this.penaltyGroupBox.Size = new System.Drawing.Size(194, 46);
-      this.penaltyGroupBox.TabIndex = 2;
-      this.penaltyGroupBox.TabStop = false;
-      this.penaltyGroupBox.Text = "Penalty";
-      // 
-      // penaltyViewHost
-      // 
-      this.penaltyViewHost.Caption = "View";
-      this.penaltyViewHost.Content = null;
-      this.penaltyViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.penaltyViewHost.Enabled = false;
-      this.penaltyViewHost.Location = new System.Drawing.Point(3, 16);
-      this.penaltyViewHost.Name = "penaltyViewHost";
-      this.penaltyViewHost.ReadOnly = false;
-      this.penaltyViewHost.Size = new System.Drawing.Size(188, 27);
-      this.penaltyViewHost.TabIndex = 0;
-      this.penaltyViewHost.ViewsLabelVisible = true;
-      this.penaltyViewHost.ViewType = null;
+      // qualityValueView
+      // 
+      this.qualityValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.qualityValueView.Caption = "StringConvertibleValue View";
+      this.qualityValueView.Content = null;
+      this.qualityValueView.LabelVisible = false;
+      this.qualityValueView.Location = new System.Drawing.Point(65, 7);
+      this.qualityValueView.Name = "qualityValueView";
+      this.qualityValueView.ReadOnly = false;
+      this.qualityValueView.Size = new System.Drawing.Size(354, 21);
+      this.qualityValueView.TabIndex = 0;
+      // 
+      // distanceValueView
+      // 
+      this.distanceValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.distanceValueView.Caption = "StringConvertibleValue View";
+      this.distanceValueView.Content = null;
+      this.distanceValueView.LabelVisible = false;
+      this.distanceValueView.Location = new System.Drawing.Point(65, 34);
+      this.distanceValueView.Name = "distanceValueView";
+      this.distanceValueView.ReadOnly = false;
+      this.distanceValueView.Size = new System.Drawing.Size(354, 21);
+      this.distanceValueView.TabIndex = 0;
+      // 
+      // penaltyValueView
+      // 
+      this.penaltyValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.penaltyValueView.Caption = "StringConvertibleValue View";
+      this.penaltyValueView.Content = null;
+      this.penaltyValueView.LabelVisible = false;
+      this.penaltyValueView.Location = new System.Drawing.Point(65, 61);
+      this.penaltyValueView.Name = "penaltyValueView";
+      this.penaltyValueView.ReadOnly = false;
+      this.penaltyValueView.Size = new System.Drawing.Size(354, 21);
+      this.penaltyValueView.TabIndex = 0;
+      // 
+      // qualityLabel
+      // 
+      this.qualityLabel.AutoSize = true;
+      this.qualityLabel.Location = new System.Drawing.Point(7, 11);
+      this.qualityLabel.Name = "qualityLabel";
+      this.qualityLabel.Size = new System.Drawing.Size(42, 13);
+      this.qualityLabel.TabIndex = 1;
+      this.qualityLabel.Text = "Quality:";
+      // 
+      // distanceLabel
+      // 
+      this.distanceLabel.AutoSize = true;
+      this.distanceLabel.Location = new System.Drawing.Point(7, 38);
+      this.distanceLabel.Name = "distanceLabel";
+      this.distanceLabel.Size = new System.Drawing.Size(52, 13);
+      this.distanceLabel.TabIndex = 1;
+      this.distanceLabel.Text = "Distance:";
+      // 
+      // penaltyLabel
+      // 
+      this.penaltyLabel.AutoSize = true;
+      this.penaltyLabel.Location = new System.Drawing.Point(7, 64);
+      this.penaltyLabel.Name = "penaltyLabel";
+      this.penaltyLabel.Size = new System.Drawing.Size(45, 13);
+      this.penaltyLabel.TabIndex = 1;
+      this.penaltyLabel.Text = "Penalty:";
       // 
       // OrienteeringSolutionView
@@ -263,10 +252,8 @@
       this.tourGroupBox.ResumeLayout(false);
       this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel1.PerformLayout();
       this.splitContainer.Panel2.ResumeLayout(false);
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
       this.splitContainer.ResumeLayout(false);
-      this.qualityGroupBox.ResumeLayout(false);
-      this.distanceGroupBox.ResumeLayout(false);
-      this.penaltyGroupBox.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -282,10 +269,10 @@
     private HeuristicLab.MainForm.WindowsForms.ViewHost tourViewHost;
     private System.Windows.Forms.SplitContainer splitContainer;
-    private System.Windows.Forms.GroupBox qualityGroupBox;
-    private HeuristicLab.MainForm.WindowsForms.ViewHost qualityViewHost;
-    private System.Windows.Forms.GroupBox distanceGroupBox;
-    private MainForm.WindowsForms.ViewHost distanceViewHost;
-    private System.Windows.Forms.GroupBox penaltyGroupBox;
-    private MainForm.WindowsForms.ViewHost penaltyViewHost;
+    private System.Windows.Forms.Label penaltyLabel;
+    private System.Windows.Forms.Label distanceLabel;
+    private System.Windows.Forms.Label qualityLabel;
+    private Data.Views.StringConvertibleValueView qualityValueView;
+    private Data.Views.StringConvertibleValueView distanceValueView;
+    private Data.Views.StringConvertibleValueView penaltyValueView;
   }
 }
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.cs
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.cs	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.cs	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,4 @@
 
 namespace HeuristicLab.Problems.Orienteering.Views {
-
   [View("OrienteeringSolution View")]
   [Content(typeof(OrienteeringSolution), true)]
@@ -41,24 +40,24 @@
 
     protected override void DeregisterContentEvents() {
-      Content.QualityChanged -= new EventHandler(Content_QualityChanged);
-      Content.PenaltyChanged -= new EventHandler(Content_PenaltyChanged);
-      Content.DistanceChanged -= new EventHandler(Content_DistanceChanged);
-      Content.CoordinatesChanged -= new EventHandler(Content_CoordinatesChanged);
-      Content.StartingPointChanged -= new EventHandler(Content_StartingPointChanged);
-      Content.TerminalPointChanged -= new EventHandler(Content_TerminalPointChanged);
-      Content.ScoresChanged -= new EventHandler(Content_ScoresChanged);
-      Content.IntegerVectorChanged -= new EventHandler(Content_IntegerVectorChanged);
+      Content.QualityChanged -= Content_QualityChanged;
+      Content.PenaltyChanged -= Content_PenaltyChanged;
+      Content.DistanceChanged -= Content_DistanceChanged;
+      Content.CoordinatesChanged -= Content_CoordinatesChanged;
+      Content.StartingPointChanged -= Content_StartingPointChanged;
+      Content.TerminalPointChanged -= Content_TerminalPointChanged;
+      Content.ScoresChanged -= Content_ScoresChanged;
+      Content.IntegerVectorChanged -= Content_IntegerVectorChanged;
       base.DeregisterContentEvents();
     }
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
-      Content.QualityChanged += new EventHandler(Content_QualityChanged);
-      Content.PenaltyChanged += new EventHandler(Content_PenaltyChanged);
-      Content.DistanceChanged += new EventHandler(Content_DistanceChanged);
-      Content.CoordinatesChanged += new EventHandler(Content_CoordinatesChanged);
-      Content.StartingPointChanged += new EventHandler(Content_StartingPointChanged);
-      Content.TerminalPointChanged += new EventHandler(Content_TerminalPointChanged);
-      Content.ScoresChanged += new EventHandler(Content_ScoresChanged);
-      Content.IntegerVectorChanged += new EventHandler(Content_IntegerVectorChanged);
+      Content.QualityChanged += Content_QualityChanged;
+      Content.PenaltyChanged += Content_PenaltyChanged;
+      Content.DistanceChanged += Content_DistanceChanged;
+      Content.CoordinatesChanged += Content_CoordinatesChanged;
+      Content.StartingPointChanged += Content_StartingPointChanged;
+      Content.TerminalPointChanged += Content_TerminalPointChanged;
+      Content.ScoresChanged += Content_ScoresChanged;
+      Content.IntegerVectorChanged += Content_IntegerVectorChanged;
     }
 
@@ -66,14 +65,14 @@
       base.OnContentChanged();
       if (Content == null) {
-        qualityViewHost.Content = null;
-        penaltyViewHost.Content = null;
-        distanceViewHost.Content = null;
+        qualityValueView.Content = null;
+        penaltyValueView.Content = null;
+        distanceValueView.Content = null;
         splitContainer.Panel1Collapsed = true;
         pictureBox.Image = null;
         tourViewHost.Content = null;
       } else {
-        qualityViewHost.Content = Content.Quality;
-        penaltyViewHost.Content = Content.Penalty;
-        distanceViewHost.Content = Content.Distance;
+        qualityValueView.Content = Content.Quality;
+        penaltyValueView.Content = Content.Penalty;
+        distanceValueView.Content = Content.Distance;
         SetPanelCollapsing();
         GenerateImage();
@@ -84,7 +83,7 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      qualityGroupBox.Enabled = Content != null;
-      penaltyGroupBox.Enabled = Content != null;
-      distanceGroupBox.Enabled = Content != null;
+      qualityValueView.Enabled = Content != null;
+      penaltyValueView.Enabled = Content != null;
+      distanceValueView.Enabled = Content != null;
       pictureBox.Enabled = Content != null;
       tourGroupBox.Enabled = Content != null;
@@ -164,20 +163,18 @@
 
     private void SetPanelCollapsing() {
-      splitContainer.Panel1Collapsed = qualityViewHost.Content == null && penaltyViewHost.Content == null && distanceViewHost.Content == null;
+      splitContainer.Panel1Collapsed = qualityValueView.Content == null && penaltyValueView.Content == null && distanceValueView.Content == null;
     }
 
     private void Content_QualityChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_QualityChanged), sender, e);
-      else {
-        qualityViewHost.Content = Content.Quality;
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_QualityChanged, sender, e);
+      else {
+        qualityValueView.Content = Content.Quality;
         SetPanelCollapsing();
       }
     }
     private void Content_PenaltyChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_PenaltyChanged), sender, e);
-      else {
-        penaltyViewHost.Content = Content.Penalty;
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_PenaltyChanged, sender, e);
+      else {
+        penaltyValueView.Content = Content.Penalty;
         GenerateImage();
         SetPanelCollapsing();
@@ -186,38 +183,33 @@
 
     private void Content_DistanceChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_DistanceChanged), sender, e);
-      else {
-        distanceViewHost.Content = Content.Distance;
-        SetPanelCollapsing();
-      }
-    }
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_DistanceChanged, sender, e);
+      else {
+        distanceValueView.Content = Content.Distance;
+        SetPanelCollapsing();
+      }
+    }
+
     private void Content_CoordinatesChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_CoordinatesChanged), sender, e);
-      else
-        GenerateImage();
-    }
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_CoordinatesChanged, sender, e);
+      else GenerateImage();
+    }
+
     private void Content_StartingPointChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_StartingPointChanged), sender, e);
-      else
-        GenerateImage();
-    }
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_StartingPointChanged, sender, e);
+      else GenerateImage();
+    }
+
     private void Content_TerminalPointChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_TerminalPointChanged), sender, e);
-      else
-        GenerateImage();
-    }
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_TerminalPointChanged, sender, e);
+      else GenerateImage();
+    }
+
     private void Content_ScoresChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_ScoresChanged), sender, e);
-      else
-        GenerateImage();
-    }
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_ScoresChanged, sender, e);
+      else GenerateImage();
+    }
+
     private void Content_IntegerVectorChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_IntegerVectorChanged), sender, e);
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_IntegerVectorChanged, sender, e);
       else {
         GenerateImage();
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/Plugin.cs.frame	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/Plugin.cs.frame	(revision 12721)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Problems.Orienteering.Views.
   /// </summary>
-  [Plugin("HeuristicLab.Problems.Orienteering.Views", "3.3.10.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.Orienteering.Views", "3.3.11.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.Orienteering.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 12720)
+++ /branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.Orienteering.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 12721)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.11.$WCREV$")]
